import type { AdapterRequestContext, Snapshot } from '@luvio/engine';
import type { ContentDocumentCompositeRepresentation } from '../../generated/types/ContentDocumentCompositeRepresentation';
import type { buildNetworkSnapshot } from './buildNetworkSnapshot';
import type { CreateContentDocumentAndVersionConfig } from './AdapterConfig';
export type DraftAwareCreateContentDocumentAndVersionAdapter = (config: CreateContentDocumentAndVersionConfig, networkSnapshotBuilder: typeof buildNetworkSnapshot, requestContext?: AdapterRequestContext) => Promise<Snapshot<ContentDocumentCompositeRepresentation>>;
